> This page is for version 2025-09-18 (default).
> For other versions, use one of these documentation indexes:
> - 2025-09-18 (default): https://apidocs.polytomic.com/2025-09-18/llms.txt
> - 2024-02-08: https://apidocs.polytomic.com/2024-02-08/llms.txt
> - 2023-04-25: https://apidocs.polytomic.com/2023-04-25/llms.txt
> - 2022-12-12: https://apidocs.polytomic.com/2022-12-12/llms.txt
> - 2021-05-23: https://apidocs.polytomic.com/2021-05-23/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.polytomic.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server.

# Create Bulk Sync Schedule

POST https://app.polytomic.com/api/bulk/syncs/{sync_id}/schedules
Content-Type: application/json

Adds a new schedule to a bulk sync.

A bulk sync can have multiple schedules attached; adding one here does not
replace existing schedules. Schedule times are interpreted in UTC.

Creating a schedule only affects future automatic executions. To run the
sync immediately, call
[`POST /api/bulk/syncs/{id}/executions`](../../../../../api-reference/bulk-sync/start).

Reference: https://apidocs.polytomic.com/api-reference/bulk-sync/schedules/create

## Authentication

- `Authorization` header (bearer token, required) — Bearer user API key
- `Authorization` header (basic auth, required) — Basic organization-scoped API key

## Request

### Path parameters

- `sync_id` (string, required) — Unique identifier of the bulk sync to add a schedule to.

### Body (application/json)

This endpoint expects a CreateScheduleRequest.

- `schedule` (BulkSyncScheduleAPI, required)

## Response

### 200

OK

- `data` (BulkBulkSyncSchedule, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 403 Forbidden Error

Forbidden

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 404 Not Found Error

Not Found

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 500 Internal Server Error

Internal Server Error

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

## Types

### BulkSyncScheduleAPI

- `frequency` (enum, required)
  - Allowed values: `manual`, `continuous`, `hourly`, `daily`, `weekly`, `custom`, `builder`, `runafter`, `multi`, `dbtcloud`
- `dayOfMonth` (string, optional) — Day of the month (1-31) for monthly schedules.
- `dayOfWeek` (string, optional) — Day of the week for weekly schedules.
- `hour` (string, optional) — Hour of the day (0-23, in UTC) the schedule fires.
- `minute` (string, optional) — Minute of the hour (0-59) the schedule fires.
- `month` (string, optional) — Month of the year (1-12) for yearly schedules.
- `selectiveMode` (enum, optional)
  - Allowed values: `none`, `incrementalFields`, `nonincrementalFields`

### BulkBulkSyncSchedule

- `frequency` (enum, required)
  - Allowed values: `manual`, `continuous`, `hourly`, `daily`, `weekly`, `custom`, `builder`, `runafter`, `multi`, `dbtcloud`
- `createdAt` (datetime, optional)
- `createdBy` (string, optional)
- `dayOfMonth` (string, optional)
- `dayOfWeek` (string, optional)
- `deletedAt` (datetime, optional)
- `deletedBy` (string, optional)
- `hour` (string, optional)
- `isDefault` (boolean, optional)
- `minute` (string, optional)
- `month` (string, optional)
- `schemas` (list of string, optional, nullable)
- `selectiveMode` (enum, optional)
  - Allowed values: `none`, `incrementalFields`, `nonincrementalFields`
- `syncId` (string, optional)
- `syncMode` (enum, optional)
  - Allowed values: `normal`, `refetch`, `resync`, `rebuild`
- `updatedAt` (datetime, optional)
- `updatedBy` (string, optional)

## Examples

**Request**

```json
{
  "schedule": {
    "frequency": "manual"
  }
}
```

**Response**

```json
{
  "data": {
    "frequency": "manual",
    "createdAt": "2024-01-15T09:30:00Z",
    "createdBy": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "dayOfMonth": "string",
    "dayOfWeek": "string",
    "deletedAt": "2024-01-15T09:30:00Z",
    "deletedBy": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "hour": "string",
    "isDefault": true,
    "minute": "string",
    "month": "string",
    "schemas": [
      "string"
    ],
    "selectiveMode": "none",
    "syncId": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "syncMode": "normal",
    "updatedAt": "2024-01-15T09:30:00Z",
    "updatedBy": "248df4b7-aa70-47b8-a036-33ac447e668d"
  }
}
```

**SDK Code**

```python
import requests

url = "https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schedules"

payload = { "schedule": { "frequency": "manual" } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schedules';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"schedule":{"frequency":"manual"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schedules"

	payload := strings.NewReader("{\n  \"schedule\": {\n    \"frequency\": \"manual\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schedules")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"schedule\": {\n    \"frequency\": \"manual\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schedules")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"schedule\": {\n    \"frequency\": \"manual\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schedules', [
  'body' => '{
  "schedule": {
    "frequency": "manual"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schedules");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"schedule\": {\n    \"frequency\": \"manual\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["schedule": ["frequency": "manual"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schedules")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```